İçeriğe geç

/v1/approvals/{id}/approve

POST
/v1/approvals/{id}/approve
curl --request POST \
--url https://api.reindeer.example.tr/v1/approvals/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/approve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "reason": "example" }'

Scope approvals:write, person with fresh step-up, never the requester nor a person tied to it by an issued code. A cool-off starts at this decision.

id
required
string format: uuid
Media typeapplication/json
object
reason

Plain text; control and format characters answer 422 reason

string
<= 500 characters

Example generated

{
"reason": "example"
}

Decided and

RFC 9457 problem

Media typeapplication/problem+json
object
status
integer
code
string
title
string
detail
string
type
string

Example generated

{
"status": 1,
"code": "example",
"title": "example",
"detail": "example",
"type": "example"
}